> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyrisma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Vulnerability scans for instance

> Returns vulnerability scans for the instance associated with the access token.

Each vulnerability scan returned by the API includes information such as scan ID, target name, scan status, start and end times, and summary of findings.

Required headers:

- `Authorization: access_token {token}`



## OpenAPI

````yaml openapi.json get /partner/scans/vulnerability
openapi: 3.1.0
info:
  title: Cyrisma Partner API
  description: >-
    Cyrisma partner API assists organizations that use the Cyrisma risk
    management platform to further automate and enhance overall risk management.
    The API provides provisioning and reporting features meaning that
    deployments can be automated and scan data can be retrieved for further
    aggregation and reporting. The API will enable the setup of new partners and
    instances, review of partner and instance status and utilization, and
    management of partners through their lifecycle.  Access to Cyrisma risk
    management is based on a foundation of secure API access token
    authentication and identity management.
  version: v1
servers: []
security: []
paths:
  /partner/scans/vulnerability:
    get:
      tags:
        - Scans
      summary: Vulnerability scans for instance
      description: "Returns vulnerability scans for the instance associated with the access token.\r\n\r\nEach vulnerability scan returned by the API includes information such as scan ID, target name, scan status, start and end times, and summary of findings.\r\n\r\nRequired headers:\r\n\r\n- `Authorization: access_token {token}`"
      operationId: GetVulnerabilityScans
      parameters:
        - name: Authorization
          in: header
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCompletedVulnScansJson'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '422':
          description: Unprocessable Entity
        '500':
          description: Internal Server Error
components:
  schemas:
    GetCompletedVulnScansJson:
      title: Get Completed Vulnerability Scans JSON
      type: object
      properties:
        header:
          $ref: '#/components/schemas/CompletedVulnHeader'
        vulnerability_scans:
          title: Vulnerability Scans
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/CompletedVulnScans'
          description: List of completed vulnerability scans.
      additionalProperties: false
      description: >-
        Represents the JSON structure for retrieving completed vulnerability
        scans.
    CompletedVulnHeader:
      title: Completed Vulnerability Scan Header
      type: object
      properties:
        total_vulnerabilities:
          title: Total Vulnerabilities
          type: integer
          description: >-
            Total number of vulnerabilities found across all completed
            vulnerability scans.
          format: int32
        total_critical_vulnerabilities:
          title: Total Critical Vulnerabilities
          type: integer
          description: >-
            Total number of critical vulnerabilities found across all completed
            vulnerability scans.
          format: int32
        total_high_vulnerabilities:
          title: Total High Vulnerabilities
          type: integer
          description: >-
            Total number of high severity vulnerabilities found across all
            completed vulnerability scans.
          format: int32
        total_medium_vulnerabilities:
          title: Total Medium Vulnerabilities
          type: integer
          description: >-
            Total number of medium severity vulnerabilities found across all
            completed vulnerability scans.
          format: int32
        total_low_vulnerabilities:
          title: Total Low Vulnerabilities
          type: integer
          description: >-
            Total number of low severity vulnerabilities found across all
            completed vulnerability scans.
          format: int32
        average_vulnerability_grade:
          title: Average Vulnerability Grade
          type: number
          description: Average grade of all completed vulnerability scans.
          format: double
        average_vulnerability_grade_alpha:
          title: Average Vulnerability Grade Alpha
          type:
            - string
            - 'null'
          description: Alphabetical representation of the average vulnerability grade.
      additionalProperties: false
      description: Represents the header information for completed vulnerability scans.
    CompletedVulnScans:
      title: Completed Vulnerability Scan
      type: object
      properties:
        scan_id:
          title: Scan Id
          type:
            - string
            - 'null'
          description: Unique identifier for the scan.
        scan_name:
          title: Scan Name
          type:
            - string
            - 'null'
          description: Name of the scan.
        scan_type:
          title: Scan Type
          type:
            - string
            - 'null'
          description: Type of the scan.
        vulnerabilities:
          title: Vulnerabilities
          type: integer
          description: Total number of vulnerabilities identified in the scan.
          format: int32
        critical_vulnerabilities:
          title: Number of critical vulnerabilities
          type: integer
          description: Number of critical vulnerabilities identified in the scan.
          format: int32
        high_vulnerabilities:
          title: Number of high severity vulnerabilities
          type: integer
          description: Number of high severity vulnerabilities identified in the scan.
          format: int32
        medium_vulnerabilities:
          title: Number of medium severity vulnerabilities
          type: integer
          description: Number of medium severity vulnerabilities identified in the scan.
          format: int32
        low_vulnerabilities:
          title: Number of low severity vulnerabilities
          type: integer
          description: Number of low severity vulnerabilities identified in the scan.
          format: int32
        scan_started:
          title: Scan Start Time
          type:
            - string
            - 'null'
          description: Date and time when the scan started.
        scan_finished:
          title: Scan Finish Time
          type:
            - string
            - 'null'
          description: Date and time when the scan finished.
        grade:
          title: Grade
          type: number
          description: Overall grade of the scan.
          format: double
        grade_alpha:
          title: Grade Alpha
          type:
            - string
            - 'null'
          description: Alphabetical representation of the scan grade.
        issuing_user:
          title: Issuing User
          type:
            - string
            - 'null'
          description: User who issued the scan.
        scan_type_name:
          title: Scan Type Name
          type:
            - string
            - 'null'
          description: Name of the scan type.
      additionalProperties: false
      description: Represents a completed vulnerability scan with its associated details.

````